package com.gingersoft.gsa.cloud.table.mvp.model;

import android.app.Application;

import com.gingersoft.gsa.cloud.database.bean.ComboItem;
import com.gingersoft.gsa.cloud.database.bean.Food;
import com.gingersoft.gsa.cloud.database.bean.FoodCombo;
import com.gingersoft.gsa.cloud.database.bean.FoodModifier;
import com.gingersoft.gsa.cloud.database.bean.Modifier;
import com.google.gson.Gson;
import com.jess.arms.integration.IRepositoryManager;
import com.jess.arms.mvp.BaseModel;

import com.jess.arms.di.scope.FragmentScope;

import javax.inject.Inject;

import com.gingersoft.gsa.cloud.table.mvp.contract.SetMealContract;

import java.util.List;

import io.reactivex.Single;


/**
 * ================================================
 * Description:
 * <p>
 * Created by MVPArmsTemplate on 04/17/2021 10:40
 * <a href="mailto:jess.yan.effort@gmail.com">Contact me</a>
 * <a href="https://github.com/JessYanCoding">Follow me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms">Star me</a>
 * <a href="https://github.com/JessYanCoding/MVPArms/wiki">See me</a>
 * <a href="https://github.com/JessYanCoding/MVPArmsTemplate">模版请保持更新</a>
 * ================================================
 */
@FragmentScope
public class SetMealModel extends BaseModel implements SetMealContract.Model {
    @Inject
    Gson mGson;
    @Inject
    Application mApplication;

    @Inject
    public SetMealModel(IRepositoryManager repositoryManager) {
        super(repositoryManager);
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        this.mGson = null;
        this.mApplication = null;
    }

    @Override
    public Single<List<Food>> queryDB_FoodGroupList(int foodSummary) {
        return null;
    }

    @Override
    public Single<List<Food>> queryDB_FoodList(long parentId, int foodSummary) {
        return null;
    }

    @Override
    public Single<List<Modifier>> queryDB_ModifierList(long fid, int mode) {
        return null;
    }

    @Override
    public Single<List<ComboItem>> queryDB_ComboList(long fid, int foodSummary) {
        return null;
    }

    @Override
    public Single<List<FoodCombo>> isComboFood(long fid) {
        return null;
    }

    @Override
    public Single<List<FoodModifier>> queryDB_FoodModifierList(long fid) {
        return null;
    }
}